com.tibco.tibjms.admin

## Class SSLParams

- java.lang.Object
- - com.tibco.tibjms.admin.ThirdPartyParams
  - - com.tibco.tibjms.admin.SSLParams

-     public class SSLParams
      extends ThirdPartyParams

  This class represents all the possible SSL parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SSL_AUTH_ONLY_PARAM` Boolean parameter indicating whether or not SSL is used only for authentication.
    `static java.lang.String` | `SSL_CIPHERS_PARAM` String parmeter for the SSL ciphers.
    `static java.lang.String` | `SSL_CRL_PATH_PARAM` String parmeter for the SSL CRL path.
    `static java.lang.String` | `SSL_CRL_UPDATE_IVL_PARAM` Long parameter for the SSL CRL update interval, in hours.
    `static java.lang.String` | `SSL_EGD_PARAM` String parmeter for the path to the installed Enthropy Gathering Daemon.
    `static java.lang.String` | `SSL_EXPECTED_HOSTNAME_PARAM` String parameter for the expeted hostname of the server.
    `static java.lang.String` | `SSL_IDENTITY_PARAM` String parameter for the filename of the identity file.
    `static java.lang.String` | `SSL_ISSUERS_PARAM` List parameter for the list of SSL certificate filenames used to issue client certificates.
    `static java.lang.String` | `SSL_PASSWORD_PARAM` String parmeter for the SSL password (routes only).
    `static java.lang.String` | `SSL_PRIVATE_KEY_PARAM` String parameter for the filename of the private key file.
    `static java.lang.String` | `SSL_RENEG_INTERVAL_PARAM` Long parameter for the SSL renogotion interval, in seconds.
    `static java.lang.String` | `SSL_RENEG_SIZE_PARAM` Long parameter for the SSL renogotion size, in bytes.
    `static java.lang.String` | `SSL_TRUSTED_PARAM` List parameter for the List of trusted certificates.
    `static java.lang.String` | `SSL_VENDOR_PARAM` String parameter for the SSL implementation vendor (factories only).
    `static java.lang.String` | `SSL_VERIFY_HOST_PARAM` Boolean parameter indicating whether or not hosts should be verified.
    `static java.lang.String` | `SSL_VERIFY_HOSTNAME_PARAM` Boolean parameter indicating whether or not hostnames should be verified.

  - ### Method Summary

    - ### Methods inherited from class com.tibco.tibjms.admin.ThirdPartyParams

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SSL_VENDOR_PARAM

          public static final java.lang.String SSL_VENDOR_PARAM

      String parameter for the SSL implementation vendor (factories only).
      See Also:
        Constant Field Values

    - #### SSL_TRUSTED_PARAM

          public static final java.lang.String SSL_TRUSTED_PARAM

      List parameter for the List of trusted certificates.
      See Also:
        Constant Field Values

    - #### SSL_VERIFY_HOST_PARAM

          public static final java.lang.String SSL_VERIFY_HOST_PARAM

      Boolean parameter indicating whether or not hosts should be verified.
      See Also:
        Constant Field Values

    - #### SSL_VERIFY_HOSTNAME_PARAM

          public static final java.lang.String SSL_VERIFY_HOSTNAME_PARAM

      Boolean parameter indicating whether or not hostnames should be verified.
      See Also:
        Constant Field Values

    - #### SSL_EXPECTED_HOSTNAME_PARAM

          public static final java.lang.String SSL_EXPECTED_HOSTNAME_PARAM

      String parameter for the expeted hostname of the server.
      See Also:
        Constant Field Values

    - #### SSL_AUTH_ONLY_PARAM

          public static final java.lang.String SSL_AUTH_ONLY_PARAM

      Boolean parameter indicating whether or not SSL is used only for authentication.
      Since:
        EMS 4.2
      See Also:
        Constant Field Values

    - #### SSL_IDENTITY_PARAM

          public static final java.lang.String SSL_IDENTITY_PARAM

      String parameter for the filename of the identity file.
      See Also:
        Constant Field Values

    - #### SSL_ISSUERS_PARAM

          public static final java.lang.String SSL_ISSUERS_PARAM

      List parameter for the list of SSL certificate filenames used to issue client certificates.
      See Also:
        Constant Field Values

    - #### SSL_PRIVATE_KEY_PARAM

          public static final java.lang.String SSL_PRIVATE_KEY_PARAM

      String parameter for the filename of the private key file.
      See Also:
        Constant Field Values

    - #### SSL_RENEG_SIZE_PARAM

          public static final java.lang.String SSL_RENEG_SIZE_PARAM

      Long parameter for the SSL renogotion size, in bytes.
      See Also:
        Constant Field Values

    - #### SSL_RENEG_INTERVAL_PARAM

          public static final java.lang.String SSL_RENEG_INTERVAL_PARAM

      Long parameter for the SSL renogotion interval, in seconds.
      See Also:
        Constant Field Values

    - #### SSL_CRL_PATH_PARAM

          public static final java.lang.String SSL_CRL_PATH_PARAM

      String parmeter for the SSL CRL path.
      See Also:
        Constant Field Values

    - #### SSL_CRL_UPDATE_IVL_PARAM

          public static final java.lang.String SSL_CRL_UPDATE_IVL_PARAM

      Long parameter for the SSL CRL update interval, in hours.
      See Also:
        Constant Field Values

    - #### SSL_CIPHERS_PARAM

          public static final java.lang.String SSL_CIPHERS_PARAM

      String parmeter for the SSL ciphers.
      See Also:
        Constant Field Values

    - #### SSL_PASSWORD_PARAM

          public static final java.lang.String SSL_PASSWORD_PARAM

      String parmeter for the SSL password (routes only).
      See Also:
        Constant Field Values

    - #### SSL_EGD_PARAM

          public static final java.lang.String SSL_EGD_PARAM

      String parmeter for the path to the installed Enthropy Gathering Daemon.
      See Also:
        Constant Field Values

Copyright © Cloud Software Group, Inc. All rights reserved